commit a8786a66feb3c003c74551399b345b1634cc6739
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Thu May 4 15:41:46 2023 +0100

    Fix variable initialisation in smtp transport.  Bug 2996

diff --git a/src/src/transports/smtp.c b/src/src/transports/smtp.c
index c5951832b..c72028ce9 100644
--- a/src/src/transports/smtp.c
+++ b/src/src/transports/smtp.c
@@ -4973,7 +4973,7 @@ smtp_transport_closedown(transport_instance *tblock)
 {
 smtp_transport_options_block * ob = SOB tblock->options_block;
 client_conn_ctx cctx;
-smtp_context sx;
+smtp_context sx = {0};
 uschar buffer[256];
 uschar inbuffer[4096];
 uschar outbuffer[16];

